PUT /api/v202407/billAccountChargeSplit/method

Edit the method used to split account charges on bill import

EditBillAccountChargeSplitMethodV202407 Permissions: BillWorkflowSettings (Manage)

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type, including the request body.

Request Body

BillAccountChargeSplitMethodRequest
Property Description Type
splitBillChargesMethod During bill import a bill’s account charges will be distributed to the account’s meters either by “Use” or “Cost” null means the charges will not be distributed One of ‘Use’, ‘Cost’ Required (defined) string
Example Request Body application/json
{  "splitBillChargesMethod": "string"
}

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

BillAccountChargeSplitMethodResponse
Property Description Type
splitBillChargesMethod During bill import a bill’s account charges will be distributed to the account’s meters either by “Use” or “Cost” null means the charges will not be distributed string
Example Response application/json
{  "splitBillChargesMethod": "string"
}